---
title: "常见的配置文件格式"
date: 2021-01-16T11:36:04+08:00
tags: []
categories: []
weight: 50
show_comments: true
draft: false
---

**ini**: 未规定固定格式

**properties**: 典型应用在 spring 中, 每一行由键值构成, 键由一组使用点号表示层级关系的字符串构成, 可以比较明确地表述一个对象的各个属性

**json**: 起源于 JavaScript , 花括号表示对象, 方括号表示数组, 对象中每一个条目均为键值对, 值可以为数组\对象或其他基本类型.

**xml**: 比较复杂的标记语言, 太长不再表述

**yaml**: 缩进敏感型的高可读性的一种格式, 连字符前缀的一组相同缩进的行表示数组, 高一级缩进则表示此为最近一个低一级缩进的条目的子条目, 虽然比 xml 简单, 但同样有些复杂. [详细描述](https://yaml.org/spec/1.2/spec.html)

**toml**: 因为 yaml 过于复杂而指定的更简单的标准, 以方括号包含一个名称表示一个节, 节内有 `键=值` 来表述属性, 节的名称可以有点号分割, 进而可以表示对象的层级关系, 数组由双方括号包含一个名称表示. [详细描述](https://mojotv.cn/2018/12/26/what-is-toml)

参考来源: [https://colobu.com/2017/08/31/configuration-file-format/](https://colobu.com/2017/08/31/configuration-file-format/)
