---
title: "区块链的四种证明"
date: 2021-07-01T10:01:07+08:00
tags: []
categories: []
weight: 50
show_comments: true
draft: false
---

工作证明：矿工们不断试图解开一个密码学的谜题，第一个成功解开谜题的将会得到币的奖励，其他矿工则会验证其作答的正确性

资产证明：币的奖励的决定性因素是币的持有者愿意锁定作为“长期存款”的币的数量，即锁定的币的数量越多，就越有可能会得到币的奖励，*此外有其他机制使币锁定量较少的矿工也能获得币，一定程度上避免富者越富*

燃烧证明：币的奖励的决定性因素是币的持有者愿意将币投入一个“无底洞”的数量，即“烧掉”的币的数量越多，越有可能得到币的奖励。*这种币会不断贬值，所以需要用户们不断投资于此*

容量证明：矿工们计算一个密码学谜题的成千上万种潜在答案并保存在自己的存储设备中，当新的币产生时，所有矿工搜索自己的磁盘寻找那一个特定的答案，最快找到该答案的矿工将会获得币的奖励

燃烧证明和资产证明都会导致富者越富

参考资料:
[Cryptocurrency Blockchains Don’t Need To Be Energy Intensive By Edd Gent](https://spectrum.ieee.org/computing/networks/cryptocurrency-blockchains-dont-need-to-be-energy-intensive)
